/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectcontentinfo.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectcontentinfo.entity.ProjectContentData;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * 工作内容详情DAO接口
 * @author yangfan
 * @version 2018-06-05
 */
@MyBatisDao
public interface ProjectContentDataDao extends CrudDao<ProjectContentData> {

    Integer querySerialNum(ProjectContentData projectContentData);

    int deleteBasedData(@Param("contentId") String contentId, @Param("basedId") String basedId);
    void deleteReportDataInfo(@Param("contentId") String contentId, @Param("reportId") String reportId,@Param("type") String type);
    void saveReportContent(@Param("contentId") String contentId, @Param("reportId") String reportId,@Param("type") String type);
    void deleteReportDataMenu(@Param("linkId") String linkId,@Param("projectId") String projectId,@Param("reportId") String reportId);

    void batchInsertBaseData(HashMap<String, Object> map);

    void deleteBasedByContentId(String contentId);
    List<ProjectContentData> findReportContent(@Param("reportId") String reportId,@Param("type") String type);
    Integer countByBaseId(String basedId);
    String findByLinkId(@Param("contentId") String contentId,@Param("projectId") String projectId);
}